{% extends 'base.html' %} 

{% block title %} Register {% endblock %} 

{% block content %}
<h1 class="text-center my-3">Register</h1>
<div class="container shadow rounded py-3 w-50">
    <div class="row">
        <div class="col-6 offset-3">

            {% if password_match == False%}
            <p class="text-danger">Passwords must match.</p>
            {% endif%}
            
            {% if is_user_registered == True %}
                <p class="text-danger">Username already taken.</p>
            {% endif %}
            <form action="{% url 'todolist:register' %}" method="POST">

                {% csrf_token %}

                <div class="mb-3">
                    <label for="username" class="form-label"
                        >Username</label
                    >
                    <input
                        type="text"
                        class="form-control"
                        id="username"
                        value="{{ username }}"
                        name="username"
                        maxlength="20"
                        required
                    />
                </div>
                <div class="mb-3">
                    <label for="first_name" class="form-label"
                        >First Name</label
                    >
                    <input
                        type="text"
                        class="form-control"
                        id="first_name"
                        value="{{ first_name }}"
                        name="first_name"
                        maxlength="20"
                        required
                    />
                </div>
                <div class="mb-3">
                    <label for="last_name" class="form-label"
                        >Last Name</label
                    >
                    <input
                        type="text"
                        class="form-control"
                        id="last_name"
                        value="{{ last_name }}"
                        name="last_name"
                        maxlength="20"
                        required
                    />
                </div>
                <div class="mb-3">
                    <label for="email" class="form-label"
                        >Email</label
                    >
                    <input
                        type="email"
                        class="form-control"
                        id="email"
                        value="{{ email }}"
                        name="email"
                        maxlength="20"
                        required
                    />
                </div>
                <div class="mb-3">
                    <label for="password" class="form-label"
                        >Password</label
                    >
                    <input
                        type="password"
                        class="form-control"
                        id="password"
                        value="{{ password }}"
                        name="password"
                        maxlength="20"
                        required
                    />
                </div>
                <div class="mb-3">
                    <label for="confirm_password" class="form-label"
                        >Confirm Password</label
                    >
                    <input
                        type="password"
                        class="form-control"
                        id="confirm_password"
                        value="{{ confirm_password }}"
                        name="confirm_password"
                        maxlength="20"
                        required
                    />
                </div>
                <button type="submit" class="btn btn-primary">Register</button>
            </form>
        </div>
    </div>
</div>

{% endblock %}



<!-- {% if is_user_registered == False %}

    <h1>User Successfully Creates!</h1>
    <p>The Account for {{first_name}} {{last_name}} has been created!</p>

{% else %}
    <h1>Duplicate User Found!</h1>
    <p>A duplicate user has been found, user creation unsuccessful</p>


{% endif%} -->